Bug 475567 - [Broadcom 5.4 FEAT] Update bnx2 to 1.8.2b+
[Broadcom 5.4 FEAT] Update bnx2 to 1.8.2b+
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: 5.4
Assigned To: Ivan Vecera
Red Hat Kernel QE team
: FutureFeature, OtherQA, ZStream
: 474452 475320 475512 482747 (view as bug list)
Depends On:
Blocks: 445204 458757 460335 474221 476897 483701 483784 485920 488640 488641 488851 489519 502021 507293 522090
  Show dependency treegraph
 
Reported: 2008-12-09 12:28 EST by Michael Chan
Modified: 2011-12-02 14:08 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 522090 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.25 MB, patch)
2009-03-23 12:28 EDT, Ivan Vecera
no flags Details | Diff
Packet Dump of bnx2 v1.93 (kernel 2.6.18-135.el5.ivtest.1) using a 5708C (copper) (10.98 KB, application/x-bzip2)
2009-03-25 20:09 EDT, Joe T
no flags Details

  None (edit)
Description Michael Chan 2008-12-09 12:28:20 EST
1.  Feature Overview:
     a. Name of feature:
        bnx2 driver update

     b. Feature Description
        Update bnx2 driver to include latest bug fixes and features such as iSCSI


2.  Feature Details:
     a. Architectures:
         32-bit x86
         64-bit Intel EM64T/AMD64
         64-bit Itanium2
                :
     b. Bugzilla Dependencies:
        441979

     c. Drivers or hardware dependencies:
        (Are there updated driver versions required?)
         Yes
        (When will Red Hat receive test hardware if applicable?)
         RH already has test hardware.

     d. Upstream acceptance information:
        (When was this accepted upstream, or when will this be submitted upstream?)
         Update patches are submitted regularly.

     e. External links:
        (Are there links to committed upstream patches?)
         http://...
         DaveM's net-2.6 and net-next trees.

     f. Severity (U,H,M,L):
         High (required for Hardware Enablement)

     g. Target Release Date:
        (Is there a GA/release date of partner product requiring this feature?)


3. Business Justification:
     a. Why is this feature needed?
     b. What hardware does this enable?
     c. Forecast, impact on revenue?
        (include high/low volume with high/low-end platform info)
     d. Any configuration info?
     e. Are there other dependencies (drivers).

4. Primary contact at Red Hat, email, phone (chat)
    Andrius Benokraitis
    andriusb@redhat.com
     Phone Number

5. Primary contact at Partner, email, phone (chat)
    Michael Chan
    mchan@broadcom.com
     (944)926-6170
Comment 1 Andrius Benokraitis 2008-12-19 15:22:52 EST
*** Bug 475512 has been marked as a duplicate of this bug. ***
Comment 2 Andrius Benokraitis 2008-12-19 15:26:12 EST
*** Bug 475320 has been marked as a duplicate of this bug. ***
Comment 3 Andrius Benokraitis 2008-12-19 15:32:49 EST
*** Bug 474452 has been marked as a duplicate of this bug. ***
Comment 4 IBM Bug Proxy 2008-12-19 15:42:59 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> -
1. Feature Overview:
Feature Id:	[201499]
a. Name of Feature:	BNX2 Driver Update
An updated version of bnx2 driver is required to address several bug fixes and enhancements.
Broadcom will provide the latest available version.

Additional Comments:	Require support for 5716s, 5717c and 5717s.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Installer: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	Driver Update

3. Business Case
The bnx2 driver is used across the System x product line. We need the in-distro driver to be as
current as possible so known critical bugs are ensured to be corrected.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
*** This bug has been marked as a duplicate of 475567 ***
Comment 5 RHEL Product and Program Management 2009-02-16 10:20:30 EST
Updating PM score.
Comment 6 Ivan Vecera 2009-03-23 12:28:06 EDT
Created attachment 336320 [details]
Proposed patch

I have prepared testing kernels, could you please test them? They are available at:
http://people.redhat.com/ivecera/rhel-5-ivtest/

I'm also attaching the whole patch here, this backport contains following commits:
0001-bnx2-Fix-logic-to-setup-VLAN-rx-tagging.patch
0002-bnx2-Use-proper-CONFIG_VLAN_8021Q-to-compile-the-VL.patch
0003-bnx2-Reinsert-VLAN-tag-when-necessary.patch
0004-bnx2-Update-version-to-1.8.0.patch
0005-bnx2-Fix-build-with-VLAN_8021Q-disabled.patch
0006-bnx2-In-bnx2_set_mac_link-return-void-rather-then.patch
0007-bnx2-Update-MODULE_DESCRIPTION-to-include-the-5716.patch
0008-bnx2-Remove-name-field-from-bnx2-structure.patch
0009-bnx2-Remove-timer_interval-field-from-the-bnx2-stru.patch
0010-bnx2-Promote-vector-field-in-bnx2_irq-structure-fro.patch
0011-bnx2-Update-5706-5708-firmware.patch
0012-bnx2-Eliminate-TSO-header-modifications.patch
0013-bnx2-Handle-DMA-mapping-errors.patch
0014-bnx2-Update-version-to-1.8.1.patch
0015-bnx2-Restrict-WoL-support.patch
0016-bnx2-Set-rx-buffer-water-marks-based-on-MTU.patch
0017-bnx2-Reorganize-timeout-constants.patch
0018-bnx2-Update-version-to-1.8.2.patch
0019-bnx2-Add-workaround-to-handle-missed-MSI.patch
0020-bnx2-Rename-MSI-X-vectors.patch
0021-bnx2-Update-version-to-1.9.0.patch
0022-bnx2-Don-t-redefine-FLOW_CTRL_-RX-TX.patch
0023-bnx2-Fix-bug-in-bnx2_free_rx_mem.patch
0024-bnx2-Update-5706-5708-firmware.patch
0025-bnx2-Update-5709-firmware.patch
0026-bnx2-Fix-jumbo-frames-error-handling.patch
0027-bnx2-Update-version-to-1.9.2-and-copyright.patch
0028-bnx2-Fix-problem-of-using-wrong-IRQ-handler.patch
Comment 7 Michael Chan 2009-03-23 12:43:45 EDT
Will ask QA lab to start testing.  Thanks.
Comment 8 Ivan Vecera 2009-03-24 05:41:34 EDT
OK, thanks.
Comment 9 Joe T 2009-03-25 20:09:04 EDT
Created attachment 336731 [details]
Packet Dump of bnx2 v1.93 (kernel 2.6.18-135.el5.ivtest.1) using a 5708C (copper)

Appears to be data corruption with UPD/TCP traffic. Unable to SSH to remote hosts.
Comment 10 Ivan Vecera 2009-03-27 10:01:37 EDT
Yeah, I found a missing line in my patch. It's now corrected and should work. I tested it without problems but could you please test the new packages. They are on the same place.
Comment 11 Joe T 2009-03-27 14:43:41 EDT
(In reply to comment #10)
> Yeah, I found a missing line in my patch. It's now corrected and should work. I
> tested it without problems but could you please test the new packages. They are
> on the same place.  

NP; pulled 136 and so far no issues... Thanks
Comment 12 Joe T 2009-04-03 21:52:39 EDT
From Broadcom QA:
Haven't come across any issue(s) at this time. Will continue. Expect an update by Friday, April 10 2009 1700 PST. Ping this thread if an update is need before then.

-Changing status to "ON_QA" as in third party (Broadcom) QA.
Comment 13 Joe T 2009-04-10 21:18:40 EDT
From Broadcom QA:
No issue were seen during our testing
Comment 16 Andrius Benokraitis 2009-04-14 10:54:58 EDT
jtorrice - please don't set to ON_QA - this is an automated state set by the BZ system. You'll be able to test once test kernels are posted by the engineer, or by the kernel maintainer. Thanks!
Comment 18 Andy Gospodarek 2009-04-21 16:44:05 EDT
Ivan's patch list includes the fixes for bug 489519 and bug 476897, so those will be marked as dependant on this patch.
Comment 19 Sandy Garza 2009-04-23 18:01:44 EDT
From HP QA: No issue seen during our validation.
Comment 20 Don Zickus 2009-04-27 11:58:31 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 23 John Jarvis 2009-05-05 10:15:08 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 31 Jeremy West 2009-05-26 13:44:55 EDT
*** Bug 502196 has been marked as a duplicate of this bug. ***
Comment 39 Chris Ward 2009-06-14 19:18:21 EDT
Partners, 

This particular request is of a notably high priority. In order to prepare make the most of this Alpha release, please report back initial test results before the scheduled Beta drop. That way if you encounter any issues, we can work to get additional corrections in before we launch our Public Beta release. Speak with your Partner Manager for additional dates and information. Thank you for your cooperation in this effort.
Comment 40 Chris Ward 2009-06-14 19:18:21 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 43 Joe T 2009-06-19 16:28:52 EDT
Testing of in-box driver underway. No issues identified yet....
Comment 46 Joe T 2009-06-26 23:30:19 EDT
No issues seen. We will continue to test releases.
Comment 47 Chris Ward 2009-07-03 14:16:39 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 48 Sandy Garza 2009-07-06 10:40:12 EDT
Verified successfully by HP.
Comment 50 Chris Ward 2009-07-10 15:08:07 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 51 Jan Tluka 2009-07-20 12:21:14 EDT
Patch is in -158.el5. Adding SanityOnly and OtherQA.
Comment 54 errata-xmlrpc 2009-09-02 04:06:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 57 J.H.M. Dassen (Ray) 2009-09-11 02:43:39 EDT
We have published a knowledgebase article about a major class of problems fixed by the errata for this bug: crashes when using the older bnx2 driver in combination with jumbo frames.

"Are there known issues using jumbo frames with Broadcom NICs in Red Hat Enterprise Linux?",
	http://kbase.redhat.com/faq/docs/DOC-18867
Comment 61 Andy Gospodarek 2009-09-30 09:43:41 EDT
*** Bug 482747 has been marked as a duplicate of this bug. ***
Comment 65 IBM Bug Proxy 2011-02-22 05:13:36 EST
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 05:07 EDT-------
(In reply to comment #30)
> We have published a knowledgebase article about a major class of problems fixed
> by the errata for this bug: crashes when using the older bnx2 driver in
> combination with jumbo frames.
>
> "Are there known issues using jumbo frames with Broadcom NICs in Red Hat
> Enterprise Linux?",
> http://kbase.redhat.com/faq/docs/DOC-18867

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem

Note You need to log in before you can comment on or make changes to this bug.